Package com.sap.ai.sdk.orchestration.model

# Class ModuleResults

java.lang.Object
com.sap.ai.sdk.orchestration.model.ModuleResults

public class ModuleResults extends Object
Synchronous results of each module.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ModuleResults()`
  Default constructor for ModuleResults.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ModuleResults`
  `addOutputUnmaskingItem(LLMChoice outputUnmaskingItem)`
  Add one outputUnmasking instance to this `ModuleResults`.
  `ModuleResults`
  `addTemplatingItem(ChatMessage templatingItem)`
  Add one templating instance to this `ModuleResults`.
  `static ModuleResults`
  `create()`
  Create a new `ModuleResults` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `ModuleResults`.
  `GenericModuleResult`
  `getGrounding()`
  Get grounding
  `GenericModuleResult`
  `getInputFiltering()`
  Get inputFiltering
  `GenericModuleResult`
  `getInputMasking()`
  Get inputMasking
  `InputTranslationModuleResult`
  `getInputTranslation()`
  Get inputTranslation
  `LLMModuleResult`
  `getLlm()`
  Get llm
  `GenericModuleResult`
  `getOutputFiltering()`
  Get outputFiltering
  `GenericModuleResult`
  `getOutputTranslation()`
  Get outputTranslation
  `List<LLMChoice>`
  `getOutputUnmasking()`
  Get outputUnmasking
  `List<ChatMessage>`
  `getTemplating()`
  Get templating
  `ModuleResults`
  `grounding(GenericModuleResult grounding)`
  Set the grounding of this `ModuleResults` instance and return the same instance.
  `int`
  `hashCode()`
  `ModuleResults`
  `inputFiltering(GenericModuleResult inputFiltering)`
  Set the inputFiltering of this `ModuleResults` instance and return the same instance.
  `ModuleResults`
  `inputMasking(GenericModuleResult inputMasking)`
  Set the inputMasking of this `ModuleResults` instance and return the same instance.
  `ModuleResults`
  `inputTranslation(InputTranslationModuleResult inputTranslation)`
  Set the inputTranslation of this `ModuleResults` instance and return the same instance.
  `ModuleResults`
  `llm(LLMModuleResult llm)`
  Set the llm of this `ModuleResults` instance and return the same instance.
  `ModuleResults`
  `outputFiltering(GenericModuleResult outputFiltering)`
  Set the outputFiltering of this `ModuleResults` instance and return the same instance.
  `ModuleResults`
  `outputTranslation(GenericModuleResult outputTranslation)`
  Set the outputTranslation of this `ModuleResults` instance and return the same instance.
  `ModuleResults`
  `outputUnmasking(List<LLMChoice> outputUnmasking)`
  Set the outputUnmasking of this `ModuleResults` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `ModuleResults` instance.
  `void`
  `setGrounding(GenericModuleResult grounding)`
  Set the grounding of this `ModuleResults` instance.
  `void`
  `setInputFiltering(GenericModuleResult inputFiltering)`
  Set the inputFiltering of this `ModuleResults` instance.
  `void`
  `setInputMasking(GenericModuleResult inputMasking)`
  Set the inputMasking of this `ModuleResults` instance.
  `void`
  `setInputTranslation(InputTranslationModuleResult inputTranslation)`
  Set the inputTranslation of this `ModuleResults` instance.
  `void`
  `setLlm(LLMModuleResult llm)`
  Set the llm of this `ModuleResults` instance.
  `void`
  `setOutputFiltering(GenericModuleResult outputFiltering)`
  Set the outputFiltering of this `ModuleResults` instance.
  `void`
  `setOutputTranslation(GenericModuleResult outputTranslation)`
  Set the outputTranslation of this `ModuleResults` instance.
  `void`
  `setOutputUnmasking(List<LLMChoice> outputUnmasking)`
  Set the outputUnmasking of this `ModuleResults` instance.
  `void`
  `setTemplating(List<ChatMessage> templating)`
  Set the templating of this `ModuleResults` instance.
  `ModuleResults`
  `templating(List<ChatMessage> templating)`
  Set the templating of this `ModuleResults` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `ModuleResults` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ModuleResults

    protected ModuleResults()
    Default constructor for ModuleResults.

- ## Method Details

  - ### grounding

    @Nonnull public ModuleResults grounding(@Nullable GenericModuleResult grounding)
    Set the grounding of this `ModuleResults` instance and return the same instance.
    Parameters:
      `grounding` - The grounding of this `ModuleResults`
    Returns:
      The same instance of this `ModuleResults` class

  - ### getGrounding

    @Nonnull public GenericModuleResult getGrounding()
    Get grounding
    Returns:
      grounding The grounding of this `ModuleResults` instance.

  - ### setGrounding

    public void setGrounding(@Nullable GenericModuleResult grounding)
    Set the grounding of this `ModuleResults` instance.
    Parameters:
      `grounding` - The grounding of this `ModuleResults`

  - ### templating

    @Nonnull public ModuleResults templating(@Nullable List<ChatMessage> templating)
    Set the templating of this `ModuleResults` instance and return the same instance.
    Parameters:
      `templating` - The templating of this `ModuleResults`
    Returns:
      The same instance of this `ModuleResults` class

  - ### addTemplatingItem

    @Nonnull public ModuleResults addTemplatingItem(@Nonnull ChatMessage templatingItem)
    Add one templating instance to this `ModuleResults`.
    Parameters:
      `templatingItem` - The templating that should be added
    Returns:
      The same instance of type `ModuleResults`

  - ### getTemplating

    @Nonnull public List<ChatMessage> getTemplating()
    Get templating
    Returns:
      templating The templating of this `ModuleResults` instance.

  - ### setTemplating

    public void setTemplating(@Nullable List<ChatMessage> templating)
    Set the templating of this `ModuleResults` instance.
    Parameters:
      `templating` - The templating of this `ModuleResults`

  - ### inputTranslation

    @Nonnull public ModuleResults inputTranslation(@Nullable InputTranslationModuleResult inputTranslation)
    Set the inputTranslation of this `ModuleResults` instance and return the same instance.
    Parameters:
      `inputTranslation` - The inputTranslation of this `ModuleResults`
    Returns:
      The same instance of this `ModuleResults` class

  - ### getInputTranslation

    @Nonnull public InputTranslationModuleResult getInputTranslation()
    Get inputTranslation
    Returns:
      inputTranslation The inputTranslation of this `ModuleResults` instance.

  - ### setInputTranslation

    public void setInputTranslation(@Nullable InputTranslationModuleResult inputTranslation)
    Set the inputTranslation of this `ModuleResults` instance.
    Parameters:
      `inputTranslation` - The inputTranslation of this `ModuleResults`

  - ### inputMasking

    @Nonnull public ModuleResults inputMasking(@Nullable GenericModuleResult inputMasking)
    Set the inputMasking of this `ModuleResults` instance and return the same instance.
    Parameters:
      `inputMasking` - The inputMasking of this `ModuleResults`
    Returns:
      The same instance of this `ModuleResults` class

  - ### getInputMasking

    @Nonnull public GenericModuleResult getInputMasking()
    Get inputMasking
    Returns:
      inputMasking The inputMasking of this `ModuleResults` instance.

  - ### setInputMasking

    public void setInputMasking(@Nullable GenericModuleResult inputMasking)
    Set the inputMasking of this `ModuleResults` instance.
    Parameters:
      `inputMasking` - The inputMasking of this `ModuleResults`

  - ### inputFiltering

    @Nonnull public ModuleResults inputFiltering(@Nullable GenericModuleResult inputFiltering)
    Set the inputFiltering of this `ModuleResults` instance and return the same instance.
    Parameters:
      `inputFiltering` - The inputFiltering of this `ModuleResults`
    Returns:
      The same instance of this `ModuleResults` class

  - ### getInputFiltering

    @Nonnull public GenericModuleResult getInputFiltering()
    Get inputFiltering
    Returns:
      inputFiltering The inputFiltering of this `ModuleResults` instance.

  - ### setInputFiltering

    public void setInputFiltering(@Nullable GenericModuleResult inputFiltering)
    Set the inputFiltering of this `ModuleResults` instance.
    Parameters:
      `inputFiltering` - The inputFiltering of this `ModuleResults`

  - ### outputFiltering

    @Nonnull public ModuleResults outputFiltering(@Nullable GenericModuleResult outputFiltering)
    Set the outputFiltering of this `ModuleResults` instance and return the same instance.
    Parameters:
      `outputFiltering` - The outputFiltering of this `ModuleResults`
    Returns:
      The same instance of this `ModuleResults` class

  - ### getOutputFiltering

    @Nonnull public GenericModuleResult getOutputFiltering()
    Get outputFiltering
    Returns:
      outputFiltering The outputFiltering of this `ModuleResults` instance.

  - ### setOutputFiltering

    public void setOutputFiltering(@Nullable GenericModuleResult outputFiltering)
    Set the outputFiltering of this `ModuleResults` instance.
    Parameters:
      `outputFiltering` - The outputFiltering of this `ModuleResults`

  - ### outputTranslation

    @Nonnull public ModuleResults outputTranslation(@Nullable GenericModuleResult outputTranslation)
    Set the outputTranslation of this `ModuleResults` instance and return the same instance.
    Parameters:
      `outputTranslation` - The outputTranslation of this `ModuleResults`
    Returns:
      The same instance of this `ModuleResults` class

  - ### getOutputTranslation

    @Nonnull public GenericModuleResult getOutputTranslation()
    Get outputTranslation
    Returns:
      outputTranslation The outputTranslation of this `ModuleResults` instance.

  - ### setOutputTranslation

    public void setOutputTranslation(@Nullable GenericModuleResult outputTranslation)
    Set the outputTranslation of this `ModuleResults` instance.
    Parameters:
      `outputTranslation` - The outputTranslation of this `ModuleResults`

  - ### llm

    @Nonnull public ModuleResults llm(@Nullable LLMModuleResult llm)
    Set the llm of this `ModuleResults` instance and return the same instance.
    Parameters:
      `llm` - The llm of this `ModuleResults`
    Returns:
      The same instance of this `ModuleResults` class

  - ### getLlm

    @Nonnull public LLMModuleResult getLlm()
    Get llm
    Returns:
      llm The llm of this `ModuleResults` instance.

  - ### setLlm

    public void setLlm(@Nullable LLMModuleResult llm)
    Set the llm of this `ModuleResults` instance.
    Parameters:
      `llm` - The llm of this `ModuleResults`

  - ### outputUnmasking

    @Nonnull public ModuleResults outputUnmasking(@Nullable List<LLMChoice> outputUnmasking)
    Set the outputUnmasking of this `ModuleResults` instance and return the same instance.
    Parameters:
      `outputUnmasking` - The outputUnmasking of this `ModuleResults`
    Returns:
      The same instance of this `ModuleResults` class

  - ### addOutputUnmaskingItem

    @Nonnull public ModuleResults addOutputUnmaskingItem(@Nonnull LLMChoice outputUnmaskingItem)
    Add one outputUnmasking instance to this `ModuleResults`.
    Parameters:
      `outputUnmaskingItem` - The outputUnmasking that should be added
    Returns:
      The same instance of type `ModuleResults`

  - ### getOutputUnmasking

    @Nonnull public List<LLMChoice> getOutputUnmasking()
    Get outputUnmasking
    Returns:
      outputUnmasking The outputUnmasking of this `ModuleResults` instance.

  - ### setOutputUnmasking

    public void setOutputUnmasking(@Nullable List<LLMChoice> outputUnmasking)
    Set the outputUnmasking of this `ModuleResults` instance.
    Parameters:
      `outputUnmasking` - The outputUnmasking of this `ModuleResults`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `ModuleResults`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `ModuleResults` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `ModuleResults` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `ModuleResults` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static ModuleResults create()
    Create a new `ModuleResults` instance. No arguments are required.